@import "variables/colors";
@import "variables/font";

.input-code {
  &__header {
    margin: 12px 0;
    padding-left: 7px;
    .title {
      font-family: $roboto-medium;
      font-size: 14px;
      color: $neutral-80;
    }
  }

  &__container {
    display: grid;
    justify-content: center;
    gap: 1rem;
    grid-template-columns: repeat(auto-fill, 75px);

    .input-code {
      display: flex;
      align-items: center;
      justify-content: center;

      &.filled ::ng-deep input {
        border: 2px solid $success-60;
        outline: 0 none;
        color: $success-60;
        &:focus {
          border: 2px solid $success-60;
          color: $success-60;
        }
      }

      &.disabled ::ng-deep input {
        cursor: not-allowed;
        background-color: $neutral-10;
        outline: 0 none;
      }

      ::ng-deep input {
        color: $bluette-60;
        font-size: 44px;
        letter-spacing: 0.3px;
        line-height: 34px;
        border-radius: 10px;
        text-align: center;
        width: 75px;
        min-height: 95px;
        font-family: $roboto-bold;
        &:focus {
          border: 2px solid $bluette-60;
          color: $bluette-60;
          outline: 0 none;
        }

        @media only screen and (max-width: 340px) {
          font-size: 36px;
        }
      }
    }
  }

  &__resend {
    display: flex;
    justify-content: space-between;
    padding-top: 12px;
    p {
      font-family: $roboto-bold;
      font-size: 12px;
    }
    .resend-text {
      text-decoration: underline;
      color: $info-60;
      cursor: pointer;
      &--disabled {
        cursor: not-allowed;
        color: $neutral-60;
      }
    }
  }
  p {
    padding: 0;
    margin: 0;
  }
}
